<?php
class LSTLiquidacionMensual extends AppListado {

	public function init(){
		$this->setClase('Liquidacion');
		$this->setMetodo('lst_calculateMonthByComisionista');
		$this->setCantidadPorPagina(array(100));

		$this->addColumna(new CLMTexto('fechaTexto', '$fechaTexto#', 'Mes'));
		$this->addColumna(new CLMNumero('importe', '$importe#', 'Importe',2));
		$this->addColumna(new CLMNumero('beneficio', '$beneficio#', 'Beneficio',2));
		$this->addColumna(new CLMNumero('comision', '$comision#', 'Comisi&oacute;n',2));
		$this->addColumna(new CLMTexto('detalle', '<a class="btn btn-primary btn-xs" href="'.PUBLICURL.'/index.php/wliquidacion/listado/a/$anyo#/m/$mes#">Ver</a>', 'Detalles'));
		
		//$this->addColumna($accion);
		
/*			$this->setBotonEditarVisible(true);
			$this->setBotonEditarUrl('/wliquidacion/listado');
			$this->setBotonEditarUrlAddParametro('anyo', '$anyo#');
			$this->setBotonEditarUrlAddParametro('mes', '$mes#');
			
			

			$this->setBotonEliminarVisible(true);
			$this->setBotonEliminarUrl('/wpresupuesto/eliminar');
			$this->setBotonEliminarUrlAddParametro('id', '$campoPK#');
		*/

	}

}